/*
 * i2c_rtc__meres_1.c
 *
 * Created: 2016. 10. 05. 10:03:29
 * Author : AradiSzilard
 */ 

/******************************************************************************
* Include files
******************************************************************************/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include "timer.h"
#include "rtc.h"

/******************************************************************************
* Macros
******************************************************************************/

/******************************************************************************
* Constants
******************************************************************************/

/******************************************************************************
* Global Variables
******************************************************************************/

/******************************************************************************
* External Variables
******************************************************************************/
extern volatile uint8_t Task_1000ms;

/******************************************************************************
* Local Function Declarations
******************************************************************************/

/******************************************************************************
* Local Function Definitions
******************************************************************************/

/******************************************************************************
* Global Function Definitions
******************************************************************************/
int main(void)
{
	TWRC_init();
	TIMER0_Init();
	sei();

	date.sec=0x00;
	date.min=0x00;
	date.hrs=0x19;
	date.day=0x06;
	date.date=0x24;
	date.month=0x12;
	date.year=0x16;
	set_date_time(date);
	
	
	while(1)
	{
		if (Task_1000ms)
		{
			read_time();
			Task_1000ms = FALSE;
		}
	}
}

